Page MenuHomeFreeBSD

Fix panic when adding netmap device to kqueue.
ClosedPublic

Authored by dab on Jul 31 2018, 5:03 PM.

Details

Summary

On FreeBSD, adding a netmap device to a kqueue can cause a
panic. See FreeBSD PR206053
(https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=206053) for
details.

Note that this change has already been submitted to netmap upstream. I
do not know if the project would rather it come from upstream or
whether a local fix would be preferred in the meantime.

PR: 206053

Test Plan

Run the test program given in netmap PR #520
(https://github.com/luigirizzo/netmap/pull/520).

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 18460
Build 18165: arc lint + arc unit

Event Timeline

dab created this revision.Jul 31 2018, 5:03 PM
mmacy accepted this revision.Aug 13 2018, 9:19 PM
This revision is now accepted and ready to land.Aug 13 2018, 9:19 PM
dab added a comment.Aug 21 2018, 6:28 PM

This change has been merged upstream (netmap PR #520).

dab closed this revision.Nov 30 2018, 1:55 AM

This fix was (accidentally) committed in rS337812 and incorporated into the upcoming 12.0-RELEASE; I just noticed that now when I went to MFC that commit to stable/11. Closing the review now, considerably after the fact.